Update an existing Drain
PATCH
/__remote/api.vercel.com/v1/drains/{id}Update the configuration of an existing drain.
/__remote/api.vercel.com/v1/drains/{id}
const response = await fetch('/__remote/api.vercel.com/v1/drains/id?teamId=string&slug=string', { method: 'PATCH', headers: { 'Authorization': 'Bearer YOUR_ACCESS_TOKEN', 'Content-Type': 'application/json', }, body: JSON.stringify({ "name": "Example Name", "projects": "some", "projectIds": [], "filter": "string", "schemas": "value", "delivery": { "type": "string", "endpoint": "string", "compression": "gzip", "encoding": "json", "headers": "value", "secret": "string" }, "sampling": [ { "type": "string", "rate": "123", "env": "production", "requestPath": "string" } ], "transforms": [ { "id": "icfg_1234567890" } ], "status": "enabled", "source": "value" }),});
const data = await response.json();console.log(data);Response
{ "createdAt": "123", "delivery": { "compression": "gzip", "encoding": "json", "endpoint": "string", "headers": "value", "secret": "string", "type": "http" }, "disabledAt": "123", "disabledBy": "string", "disabledReason": "account-plan-downgrade", "firstErrorTimestamp": "123", "id": "icfg_1234567890", "name": "Example Name", "ownerId": "example_id", "projectIds": [], "sampling": [ { "env": "preview", "rate": "123", "requestPath": "string", "type": "head_sampling" } ], "schemas": { "ai_gateway": "value", "analytics": "value", "audit_log": "value", "connect": "value", "log": "value", "speed_insights": "value", "trace": "value" }, "source": { "defaultFor": "eve-tracing", "kind": "self-served" }, "status": "disabled", "teamId": "example_id", "updatedAt": "123", "deliveryStats": { "attempts": "123", "failures": "123", "state": "failing", "window": "24h" }, "filterV2": { "filter": { "deployment": { "environments": [] }, "log": { "legacy_excludeCachedStaticAssetLogs": "false", "sources": [] }, "project": { "ids": [] }, "type": "basic" }, "version": "v2" }}AuthorizationbearerToken
Default authentication mechanism
200Success
Delivery health of a drain over the last 24 hours:
failing when more than 5 delivery attempts and at least 1% of all attempts did not succeed, healthy otherwise, and unknown when there were no attempts or the stats could not be loaded.400One of the provided values in the request body is invalid.
One of the provided values in the request query is invalid.
401The request is not authorized.
402Error
403You do not have permission to access this resource.
404Error
410Error